
import com.imsl.stat.*;

public class TableOneWayEx1 {

    public static void main(String args[]) {
        int nIntervals = 10;
        double table[];

        double[] x = {
            0.77, 1.74, 0.81, 1.20, 1.95, 1.20, 0.47, 1.43, 3.37,
            2.20, 3.00, 3.09, 1.51, 2.10, 0.52, 1.62, 1.31, 0.32,
            0.59, 0.81, 2.81, 1.87, 1.18, 1.35, 4.75, 2.48, 0.96,
            1.89, 0.9, 2.05
        };
        double cutPoints[] = {
            0.5, 1.0, 1.5, 2.0, 2.5, 3.0, 3.5, 4.0, 4.5
        };
        double classMarks[] = {
            0.25, 0.75, 1.25, 1.75, 2.25, 2.75, 3.25, 3.75, 4.25, 4.75
        };

        TableOneWay fTbl = new TableOneWay(x, nIntervals);
        //double[] table = new double[nIntervals];

        table = fTbl.getFrequencyTable();

        System.out.println("Example 1 ");
        for (int i = 0; i < table.length; i++) {
            System.out.println(i + "          " + table[i]);
        }

        System.out.println("--------------------------");
        System.out.println("Lower bounds= " + fTbl.getMinimum());
        System.out.println("Upper bounds= " + fTbl.getMaximum());
        System.out.println("--------------------------");
        /*  getFrequencyTable using a set of known bounds */
        table = fTbl.getFrequencyTable(0.5, 4.5);
        for (int i = 0; i < table.length; i++) {
            System.out.println(i + "          " + table[i]);
        }

        System.out.println("---------------------");

        table = fTbl.getFrequencyTableUsingClassmarks(classMarks);
        for (int i = 0; i < table.length; i++) {
            System.out.println(i + "          " + table[i]);
        }

        System.out.println("--------------------");
        table = fTbl.getFrequencyTableUsingCutpoints(cutPoints);
        for (int i = 0; i < table.length; i++) {
            System.out.println(i + "          " + table[i]);
        }
    }
}
